# TODO:
#  - *.pdb files should be moved from /usr/lib/rasmol to /usr/share/rasmol
#  - *.hlp files needed?
#  - check all licenses

Summary:       Molecular Graphics Visualization Tool
Name:          rasmol
Version:       2.7.5
Release:       2%{?dist}
License:       GPLv2 and LGPL
Group:         Applications/Engineering
URL:           http://www.rasmol.org
Source0:       http://www.rasmol.org/software/RasMol_%{version}.tar.gz
Source1:       http://downloads.sourceforge.net/cqrlib/CQRlib-1.0.3-5Aug09.tar.gz
Source2:       http://downloads.sourceforge.net/cvector/CVector-1.0.3-5Aug09.tar.gz
Source3:       http://downloads.sourceforge.net/neartree/NearTree-2.1.3.tar.gz
Source4:       http://downloads.sourceforge.net/cbflib/CBFlib_0.8.0/CBFlib-0.8.1.tar.gz
BuildRequires: imake gzip
BuildRoot:     %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
%description
RasMol is an X Window System tool intended for the visualization of
proteins and nucleic acids. It reads Brookhaven Protein Database (PDB)
files and interactively renders them in a variety of formats on either
an 8-bit or 24/32-bit color display.

%prep
%setup -q -n rasmol-2.7.5-23Jul09
%setup -q -T -D -a 1 -n rasmol-2.7.5-23Jul09
%setup -q -T -D -a 2 -n rasmol-2.7.5-23Jul09
%setup -q -T -D -a 3 -n rasmol-2.7.5-23Jul09
%setup -q -T -D -a 4 -n rasmol-2.7.5-23Jul09
mkdir external_packages
mv CQRlib-1.0.3   external_packages
mv CVector-1.0.3  external_packages
mv NearTree-2.1.3 external_packages
mv CBFlib-0.8.1   external_packages

# Fix perms
find ChangeLog/ data/ doc/ html_graphics/ -type f -print0 | xargs --null chmod 0644
find -type f -maxdepth 1 -print0 | xargs --null chmod 0644
chmod 0755 data/RSML_fixup.csh
chmod 0644 src/*.[ch]

# Don't compress pdfs
find doc -name \*.pdf.gz -print0 | xargs gzip -d
 
%build
pushd src
xmkmf -a
%{__make} %{?_smp_mflags} CCOPTIONS="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%{__install} -d  %{buildroot}/%{_bindir}
%{__make} -C src DESTDIR="%{buildroot}" install install.man
%{__cp} -a data %buildroot/usr/%{_lib}/rasmol

%clean
%{__rm} -rf %buildroot

%files
%defattr(-, root, root, -)
%doc ChangeLog ChangeLog.txt GPL history.html html_graphics 
%doc NOTICE PROJECTS RASLIC README.txt TODO.txt
%doc doc/*.pdf doc/*.html doc/*.hlp
%{_bindir}/rasmol
%{_libdir}/rasmol
%{_mandir}/man1/rasmol.1*

%changelog
* Wed Nov 25 2009 Terje Rosten <terje.rosten@ntnu.no> - 2.7.5-2
- Don't mix macro styles
- Full url to all sources
- Remove useless macros
- Cleanup buildreq
- Don't use short macros
- Fix quoteing
- Fix defattr()
- Don't need to mark man pages as %%doc
- Move %%clean section
- Remove %%post scripts
- Tags in normal order
- Parallell make
- Fix perms on data files
- Fix group
- Convert spec to utf-8
- Build with %%optflags
- Cleanup docs
- Drop desktop file

* Tue Nov 24 2009 Carl Byington <carl@five-ten-sg.com> 2.7.5-1
- convert to fedora compatible spec file

* Sat Nov 05 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.7.2.1.1-5mdk
- Fix BuildRequires
- %%mkrel

* Tue Apr 27 2004 Bruno VASTA <bruno.vasta@infodia.fr> 2.7.2.1.1-4mdk
- new icons

* Tue Apr 27 2004 Bruno VASTA <bruno.vasta@infodia.fr> 2.7.2.1.1-3mdk
- an xterm runs rasmol, the rasmol console works

* Thu Apr 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.7.2.1.1-2mdk
- in bindir link

* Thu Apr 15 2004 Bruno VASTA <bruno.vasta@infodia.fr> 2.7.2.1.1-1mdk
- initial mdk package for RasMol 2.7.2.1.1

